Resend refund callback
curl --request POST \
--url https://api.sandbox.pawapay.io/v2/refunds/resend-callback/{refundId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.pawapay.io/v2/refunds/resend-callback/{refundId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.pawapay.io/v2/refunds/resend-callback/{refundId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"refundId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639",
"status": "ACCEPTED"
}Refunds
Resend refund callback
POST
/
v2
/
refunds
/
resend-callback
/
{refundId}
Resend refund callback
Resends the callback for a refund to your configured callback URL. The refund must have reached a final state.
Please ensure your implementation of callback handling follows our guidelines.
Authorizations
See Authentication.
Path Parameters
The id of the refund that you are performing this operation on.
Required string length:
36Response
Request has been processed by PawaPay
The unique ID for this payment in PawaPay as specified by you during initiation.
Required string length:
36Example:
"f4401bd2-1568-4140-bf2d-eb77d2b2b639"
Possible initiation statuses:
ACCEPTED- The action request has been accepted by PawaPay for processing.REJECTED- The action request has been rejected by PawaPay. SeefailureReasonfor details.
Available options:
ACCEPTED, REJECTED The reason for the failure for this action
Show child attributes
Show child attributes
Example:
"Deposit with ID \\#f4401bd2-1568-4140-bf2d-eb77d2b2b639 not found"
Was this page helpful?